# -*- encoding: utf-8 -*-
# stub: blockenspiel 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "blockenspiel".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new("> 1.3.1".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Azuma".freeze]
  s.date = "2022-06-14"
  s.description = "Blockenspiel is a helper library designed to make it easy to implement DSL blocks. It is designed to be comprehensive and robust, supporting most common usage patterns, and working correctly in the presence of nested blocks and multithreading.".freeze
  s.email = "dazuma@gmail.com".freeze
  s.extra_rdoc_files = ["Blockenspiel.rdoc".freeze, "History.rdoc".freeze, "ImplementingDSLblocks.rdoc".freeze, "README.rdoc".freeze]
  s.files = ["Blockenspiel.rdoc".freeze, "History.rdoc".freeze, "ImplementingDSLblocks.rdoc".freeze, "README.rdoc".freeze, "Version".freeze, "lib/blockenspiel.rb".freeze, "lib/blockenspiel/builder.rb".freeze, "lib/blockenspiel/dsl_setup.rb".freeze, "lib/blockenspiel/errors.rb".freeze, "lib/blockenspiel/impl.rb".freeze, "lib/blockenspiel/unmixer_rubinius.rb".freeze, "lib/blockenspiel/unmixer_unimplemented.rb".freeze, "lib/blockenspiel/version.rb".freeze, "lib/blockenspiel/versionomy.rb".freeze, "lib/blockenspiel_unmixer_jruby.jar".freeze, "test/files/file1.rb".freeze, "test/tc_basic.rb".freeze, "test/tc_behaviors.rb".freeze, "test/tc_dsl_attrs.rb".freeze, "test/tc_dsl_methods.rb".freeze, "test/tc_dynamic.rb".freeze, "test/tc_embedded_block.rb".freeze, "test/tc_mixins.rb".freeze, "test/tc_modules.rb".freeze, "test/tc_version.rb".freeze]
  s.homepage = "http://dazuma.github.com/blockenspiel".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.4.20".freeze
  s.summary = "Blockenspiel is a helper library designed to make it easy to implement DSL blocks.".freeze
  s.test_files = ["test/tc_basic.rb".freeze, "test/tc_behaviors.rb".freeze, "test/tc_dsl_attrs.rb".freeze, "test/tc_dsl_methods.rb".freeze, "test/tc_dynamic.rb".freeze, "test/tc_embedded_block.rb".freeze, "test/tc_mixins.rb".freeze, "test/tc_modules.rb".freeze, "test/tc_version.rb".freeze]
end
